// This file configures the Physical layer, S-MAC and the application
// These macros are in the global name space, so use a prefix to indicate
// which layers they belong to.

#ifndef CONFIG
#define CONFIG

// Configure Physical layer. Definitions here override default values
// Default values are defined in PhyMsg.h
// --------------------------------------------------------------
//#define PHY_MAX_PKT_LEN 50       // max: 250 (bytes), default: 100


// Configure S-MAC. Definitions here override default values
// Default values are defined in SMACM.nc
// -------------------------------------------------------
//#define SMAC_DUTY_CYCLE 50       // 1 - 99 (%), default: 10
//#define SMAC_NO_ADAPTIVE_LISTEN
//#define SMAC_NO_SLEEP_CYCLE

// Other configurable parameters in S-MAC
//#define SMAC_MAX_NUM_NEIGHB 20  // default value 20
//#define SMAC_MAX_NUM_SCHED 4    // default value 4
//#define SMAC_RETRY_LIMIT 3      // default value 3
//#define SMAC_EXTEND_LIMIT 3     // default value 3

// Now by default, S-MAC uses timer/counter 0, which conflicts with Clock
// and Timer components. If you want to use Timer or Clock, uncomment the
// following line to let S-MAC use the 16-bit timer/counter 1
//#define SMAC_USE_COUNTER_1

// Configure the test application
// -------------------------------
#define TST_MIN_NODE_ID 1        // at least 2 nodes. node IDs must be
#define TST_MAX_NODE_ID 3        // consecutive from min to max
#define TST_NUM_MSGS 20
#define TST_NUM_FRAGS 5          // only used in unicast
#define TST_MSG_INTERVAL 500     // in ms

// by default it tests both broadcast and unicast
// for unicast, node i sends to (i+1), and node MaxId sends to MinId
//#define TST_BROADCAST_ONLY      // test broadcast only if defined
//#define TST_UNICAST_ONLY        // test unicast only if defined
//#define TST_UNICAST_ADDR 2      // specify unicast addr instead of default one


// enable/disable UART debug
//#define UART_DEBUG_ENABLE

#endif  // CONFIG
