/* Physical layer parameters for S-MAC
 *-------------------------------------
 * Based on the parameters from PHY_RADIO and RADIO_CONTROL
 * BANDWIDTH: bandwidth (bit rate) in kbps. Not directly used.
 * LISTEN_RATE: sampling rate of radio in listen mode (carrier sense)
 * PRE_PKT_BYTES: number of extra bytes transmitted before each pkt. It equals
 *   preamble + start symbol + sync bytes.
 * ENCODE_RATIO: output/input ratio of the number of bytes of the encoding
 *  scheme. In Manchester encoding, 1-byte input generates 2-byte output.
 * PROC_DELAY: processing delay of each packet in physical and MAC layer, in ms
 */

#define BANDWIDTH 20
#define LISTEN_RATE 20
#define PRE_PKT_BYTES 5
#define ENCODE_RATIO 2
#define PROC_DELAY 1

